Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.tax
Class Country

    java.lang.Object
      |
      +--com.bea.commerce.ebusiness.tax.Country

public class Country
extends java.lang.Object

Constructor Summary
`Country()`

Method Summary
`void` | `addProvince(Province province)`
`Currency` | `getCurrency()`
`java.lang.String` | `getEnglishLabel()`
`java.lang.Integer` | `getISOCode()`
`Province` | `getProvince(java.lang.String province_info)`
`java.lang.String` | `getThreeCharacterAbbreviation()`
`java.lang.String` | `getTwoCharacterAbbreviation()`
`boolean` | `isCanada()`
`boolean` | `isUS()`
`void` | `setCurrency(Currency curr)`
`void` | `setEnglishLabel(java.lang.String label)`
`void` | `setISOCode(int code)`
`void` | `setThreeCharacterAbbreviation(java.lang.String abbr)`
`void` | `setTwoCharacterAbbreviation(java.lang.String abbr)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Country

    public Country()

Method Detail

### setISOCode

    public void setISOCode(int code)

### getISOCode

    public java.lang.Integer getISOCode()

### setEnglishLabel

    public void setEnglishLabel(java.lang.String label)

### getEnglishLabel

    public java.lang.String getEnglishLabel()

### setTwoCharacterAbbreviation

    public void setTwoCharacterAbbreviation(java.lang.String abbr)
                                     throws java.lang.IllegalArgumentException

### getTwoCharacterAbbreviation

    public java.lang.String getTwoCharacterAbbreviation()

### setThreeCharacterAbbreviation

    public void setThreeCharacterAbbreviation(java.lang.String abbr)
                                       throws java.lang.IllegalArgumentException

### getThreeCharacterAbbreviation

    public java.lang.String getThreeCharacterAbbreviation()

### setCurrency

    public void setCurrency(Currency curr)

### getCurrency

    public Currency getCurrency()

### addProvince

    public void addProvince(Province province)

### getProvince

    public Province getProvince(java.lang.String province_info)
                         throws java.lang.Exception

### isUS

    public boolean isUS()

### isCanada

    public boolean isCanada()

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved